# Package net.corda.node.internal

- Class Summary
  Class | Description
  --- | ---
  AbstractNode | A base node implementation that can be customised either for production (with real implementations that do real I/O), or a mock implementation suitable for unit test environments.
  CordaRPCOpsImpl | Server side implementations of RPCs available to MQ based client tools. Execution takes place on the server thread (i.e. serially). Arguments are serialised and deserialised automatically.
  NetworkMapInfo |
  Node | A Node manages a standalone server that takes part in the P2P network. It creates the services found in `interface ServiceHub`, loads important data off disk and starts listening for connections.

- Exception Summary
  Exception | Description
  --- | ---
  ConfigurationException |